自宅サーバの整理箱

自宅サーバを構築しwordpress,fedora,CentOSの作業メモ

*

CentOS iptablesログの解析「IPTables log analyzer」のインストールエラー

   

CentOS 6.x
MySQL 5.4 にiptablesログの解析「IPTables log analyzer」をインストールする場合に、MySQLのバージョンが合わずエラーになりました。
 
以下の要領でスクリプトを修正するとできます。
 
①TYPE=MyISAMをENGINE=MyISAMに書き換える。
create文の最終行のところがTYPE=MyISAMになっていますが、この書き方はMySQLのバージョン4.0.2以前の書き方で、現在は非推奨となっているようです。
 
②timestamp(14) をtimestamp に書き換える。
MySQL Ver5からtimestampの仕様が変更されたので、CreataTableの構文でtimestampを用いる場合はtimestamp(14) ではなく(14)は不要になりました。
 
これでインストール時のエラーが解決できます。
 
IPTables log analyzerのインストールは以下ページが参考になります。
>>http://centossrv.com/iptables_log_analyzer.shtml
 「」

 - CentOS, MySQL

 Total 166 views